<?xml version="1.0"?>
<project
        xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
        xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.yonge.cooleshow</groupId>
        <artifactId>cooleshow-user</artifactId>
        <version>1.0</version>
    </parent>
    <groupId>com.yonge.cooleshow</groupId>
    <artifactId>user-biz</artifactId>
    <version>1.0</version>
    <name>user-biz</name>
    <url>http://maven.apache.org</url>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <rongcloud.im.version>3.2.17</rongcloud.im.version>
    </properties>
    <dependencies>
        <dependency>
            <groupId>com.dayaedu.cbs.openfeign</groupId>
            <artifactId>dayaedu-openfeign-api</artifactId>
            <version>${cbs.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yonge.cooleshow</groupId>
            <artifactId>cooleshow-common</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.microsvc.toolkit.config</groupId>
            <artifactId>microsvc-config-jwt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-jwt</artifactId>
            <version>1.0.9.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.79</version>
        </dependency>

        <dependency>
            <groupId>com.spring4all</groupId>
            <artifactId>swagger-spring-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>2.6</version>
            <scope>compile</scope>
        </dependency>

        <!-- 融云-->
        <dependency>
            <groupId>cn.rongcloud.im</groupId>
            <artifactId>server-sdk-java</artifactId>
            <version>${rongcloud.im.version}</version>
        </dependency>

        <dependency>
            <groupId>net.coobird</groupId>
            <artifactId>thumbnailator</artifactId>
            <version>0.4.11</version>
        </dependency>

        <!-- redisson -->
        <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson-spring-boot-starter</artifactId>
            <version>${redisson.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.cooleshow</groupId>
            <artifactId>auth-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.cooleshow</groupId>
            <artifactId>cooleshow-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>thirdparty-component</artifactId>
            <version>${project.toolset.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>toolset-mybatis</artifactId>
            <version>${project.toolset.version}</version>
        </dependency>

        <dependency>
            <groupId>com.vdurmont</groupId>
            <artifactId>emoji-java</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>toolset-payment</artifactId>
            <version>${project.toolset.version}</version>
        </dependency>
        <dependency>
            <groupId>com.microsvc.toolkit.middleware</groupId>
            <artifactId>microsvc-middleware-payment</artifactId>
        </dependency>

        <dependency>
            <groupId>com.microsvc.toolkit.middleware</groupId>
            <artifactId>microsvc-middleware-oss</artifactId>
        </dependency>
        <dependency>
            <groupId>com.microsvc.toolkit.middleware</groupId>
            <artifactId>microsvc-middleware-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>com.microsvc.toolkit.middleware</groupId>
            <artifactId>microsvc-middleware-live</artifactId>
        </dependency>


        <dependency>
            <groupId>com.microsvc.toolkit.middleware</groupId>
            <artifactId>microsvc-middleware-im</artifactId>
        </dependency>
        <dependency>
            <groupId>com.microsvc.toolkit.middleware</groupId>
            <artifactId>microsvc-middleware-rtc</artifactId>
        </dependency>


        <!--修复依赖冲突-->
        <dependency>
            <groupId>org.jetbrains.kotlin</groupId>
            <artifactId>kotlin-stdlib</artifactId>
        </dependency>
        <dependency>
            <groupId>com.dayaedu.cbs.openfeign</groupId>
            <artifactId>dayaedu-openfeign-client</artifactId>
            <version>${cbs.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.alibaba.cloud</groupId>
                    <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.springframework.cloud</groupId>
                    <artifactId>spring-cloud-loadbalancer</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.springframework.cloud</groupId>
                    <artifactId>spring-cloud-starter-openfeign</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>

            <resource>
                <directory>src/main/resources</directory>
            </resource>
        </resources>
    </build>
</project>
